View Issue Details

IDProjectCategoryView StatusLast Update
0003236SymmetricDSImprovementpublic2019-05-22 15:20
ReportergwilmerAssigned Togwilmer 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target VersionFixed in Version3.8.30 
Summary0003236: Allow for an "all nodes" value in lookup table router
DescriptionThe lookup table router currently routes rows based on an external id column in a lookup table. Currently the column must be the value of a specific node's external id. We should allow the user to specify a value that would mean "send to all nodes". I.E. if the external id on the lookup table was a specific external id, then route to that external id, if the external id on the lookup table is the configured "all nodes" value, then route to all nodes.
Tagsrouting

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 7ac1026a

2017-08-25 14:43:30

gregwilmer

Details Diff
0003236:Allow for all nodes value in lookup table router.
0003236
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/LookupTableDataRouter.java Diff File

SymmetricDS: 3.8 24d737b4

2017-08-25 15:48:16

gregwilmer

Details Diff
0003236: Allow for All Nodes Value in Lookup Router
0003236
mod - symmetric-assemble/src/asciidoc/configuration/routers/lookuptable.ad Diff File

SymmetricDS: 3.8 e8632abb

2017-08-26 08:33:13

gregwilmer

Details Diff
0003236: Allow for All Nodes Value in Lookup Router
0003236
mod - symmetric-assemble/src/asciidoc/configuration/routers/lookuptable.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/LookupTableDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2017-08-25 14:31 gwilmer New Issue
2017-08-25 14:31 gwilmer Status new => assigned
2017-08-25 14:31 gwilmer Assigned To => gwilmer
2017-08-25 15:00 Changeset attached => SymmetricDS 3.8 7ac1026a
2017-08-25 16:00 Changeset attached => SymmetricDS 3.8 24d737b4
2017-08-26 09:00 Changeset attached => SymmetricDS 3.8 e8632abb
2019-04-24 11:24 elong Tag Attached: routing
2019-05-22 15:20 elong Status assigned => closed
2019-05-22 15:20 elong Resolution open => fixed
2019-05-22 15:20 elong Product Version => 3.8.0
2019-05-22 15:20 elong Fixed in Version => 3.8.30